/* 
 * Copyright 2009 IT Mill Ltd.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package com.itmill.toolkit.automatedtests.util;

import java.util.HashMap;

import com.itmill.toolkit.ui.Component;

public class DebugId {

    private static HashMap debugIds = new HashMap();

    /**
     * Generate static debug id based on package and component type. If
     * duplicate package, component type then number of instances count is
     * appended to debugId.
     * 
     * @param c
     */
    public static void set(Component c, String description) {
        String debugId = "";

        // add package name
        StackTraceElement[] st = new Throwable().fillInStackTrace()
                .getStackTrace();
        try {
            debugId += st[3].getClassName();
        } catch (Exception e) {
            e.printStackTrace();
        }

        // add component type
        debugId += c.getClass();

        // add given description
        debugId += description;

        if (debugIds.containsKey(debugId)) {
            int count = ((Integer) debugIds.get(debugId)).intValue();
            count++;
            debugIds.put(debugId, new Integer(count));
            debugId = debugId + "-" + count;
        }

        c.setDebugId(debugId);
    }
}
